ChangeSet 1.889.26.14, 2003/01/12 00:18:09-08:00, oliver@oenone.homelinux.org

[PATCH] USB xpad: fix URB leak in open error path

 - fix error path in open


diff -Nru a/drivers/usb/input/xpad.c b/drivers/usb/input/xpad.c
--- a/drivers/usb/input/xpad.c	Mon Jan 13 14:25:19 2003
+++ b/drivers/usb/input/xpad.c	Mon Jan 13 14:25:19 2003
@@ -200,8 +200,10 @@
 		return 0;
 	
 	xpad->irq_in->dev = xpad->udev;
-	if (usb_submit_urb(xpad->irq_in, GFP_KERNEL))
+	if (usb_submit_urb(xpad->irq_in, GFP_KERNEL)) {
+		xpad->open_count--;
 		return -EIO;
+	}
 	
 	return 0;
 }
